aboutsummaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
* fixup vertoross/vertoRoss Burton2016-05-171-1/+3
|
* krb5: depend on libverto instead of using an internal forkRoss Burton2016-05-171-1/+2
| | | | | | | | | | If krb5 can't find an existing libverto library then it will use it's internal fork, but this fork only supports an internal libev backend and despite being for internal use is still installed, with the wrong soname to boot. Now that meta-oe has a libverto recipe krb5 can depend on and use that instead. Signed-off-by: Ross Burton <ross.burton@intel.com>
* libverto: add new recipeRoss Burton2016-05-171-0/+23
| | | | | | libverto is an event-loop agnostic asynchronous API library. Signed-off-by: Ross Burton <ross.burton@intel.com>
* nbd: fix LIC_FILES_CHKSUMRobert Yang2016-05-121-1/+1
| | | | | | | | | | The file depcomp would be changed during configure, which is not suitable for LIC_FILES_CHKSUM, there is a COPYING file which is GPLv2, so use it. Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* znc: fix QA issue and remove from blacklistQi.Chen@windriver.com2016-05-121-2/+3
| | | | | | | | | | Modify the .pc file to fix the following QA problem. "BROKEN: QA Issue: znc.pc failed sanity test" Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* netcf: fix mishandling of gnulib submodule causing build failPaul Gortmaker2016-05-121-7/+6
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | netcf fails to build on certain hosts with newer versions of git installed as follows: | ./bootstrap: Bootstrapping from checked-out netcf sources... | ./bootstrap: consider installing git-merge-changelog from gnulib | ./bootstrap: getting gnulib files... | error: pathspec 'gnulib' did not match any file(s) known to git. If we do a devshell we will see that our configure prepend that intended to _create_ the .gitmodules has instead _modified_ it and left us with this change present: sh-4.3# git diff diff --git a/.gitmodules b/.gitmodules index 7acb1ea19ca7..2d10b0e0e0fe 100644 --- a/.gitmodules +++ b/.gitmodules @@ -1,3 +1,3 @@ [submodule "gnulib"] - path = .gnulib - url = git://git.sv.gnu.org/gnulib.git + path = gnulib + url = git://git.sv.gnu.org/gnulib sh-4.3# What happens is that the newer git does not respect uncommitted changes to the .gitmodules file, and hence the path ".gnulib" is still considered valid vs. the in tree updated path "gnulib". It doesn't help any that the package has its own tracked files in gnulib/ that we stomp over, but the real fail is just uncommitted changes to the .gitmodule as this insertion of a random path shows: sh-4.3# git diff diff --git a/.gitmodules b/.gitmodules index 7acb1ea19ca7..91bd45f8e4d4 100644 --- a/.gitmodules +++ b/.gitmodules @@ -1,3 +1,3 @@ [submodule "gnulib"] - path = .gnulib + path = gnulibaaa url = git://git.sv.gnu.org/gnulib.git sh-4.3# git --version git version 2.7.4 sh-4.3# git submodule init fatal: no submodule mapping found in .gitmodules for path '.gnulib' sh-4.3# Since the original bbclass simply assumed there was no .gitmodules file to begin with, we can easily solve this by not clobbering it and respect the path choice used by the package itself. As the version of ./bootstrap shipped with netcf supports this: --no-git do not use git to update gnulib. Requires that --gnulib-srcdir point to a correct gnulib snapshot we can use it in conjunction with the pathspec since we know the gnulib was just copied in from the sysroot, and does not need to try and pull any further updates. Signed-off-by: Paul Gortmaker <paul.gortmaker@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* autotools-bootstrap: make bootstrap package specific.Paul Gortmaker2016-05-123-26/+38
| | | | | | | | | | | | | | | | | | | | | | | | | | The theory behind this bbclass was reasonable, with the primary goal being to avoid multiple downloads of gnulib, but it neglected the fact that packages would be shipping a specific version of the ./bootstrap which will support some flags but maybe not all the latest ones from the latest gnulib/build-aux/bootstrap file. I attempted to simply update the two pkgs to use the latest copy of bootstrap from gnulib but this of course triggers the descent into autoconf hell that we all know and love. Rather than futzing with the packages configure.ac and deviating from what the pkg maintainers intended and tested, we can just let the packages have independent calls to ./bootstrap with whatever flags are needed. The goal of this commit is to move the prepend out to the packages and then delete the class without any real functional change ; i.e. a purely mechanical change. Then we can adjust each package to ensure it will still build with a modern host, in an independent fashion, while keeping the main advantage of not fetching gnulib two extra times for netcf and fontforge. Signed-off-by: Paul Gortmaker <paul.gortmaker@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* wireshark: Fix new QA ErrorArmin Kuster2016-05-121-2/+3
| | | | | | | | | | | | NOTE: Resolving any missing task queue dependencies ERROR: Nothing PROVIDES 'libepoxy' (but /oss/maint/mylayers/openembedded-core/meta/recipes-gnome/gtk+/gtk+3_3.18.8.bb DEPENDS on or otherwise requires it) ERROR: libepoxy was skipped: missing required distro feature 'opengl' (not in DISTRO_FEATURES) add DISTRO_FEATURES check for opengl to enable gtk3 Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* curlpp: fix recipeQi.Chen@windriver.com2016-05-121-60/+0
| | | | | | | | Fix curlpp recipe to make it succeed to build. Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Joe MacDonald <joe_macdonald@mentor.com>
* nodejs: update to 4.4.4Jonathan Liu2016-05-101-2/+2
| | | | | Signed-off-by: Jonathan Liu <net147@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* upower: fix WARNINGArmin Kuster2016-05-101-1/+1
| | | | | | | WARNING: upower-0.9.14-r2 do_configure: Missing DEPENDS on intltool-native Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libwnck: fix WARNINGArmin Kuster2016-05-101-1/+1
| | | | | | | WARNING: libwnck-2.31.0-r0 do_configure: Missing DEPENDS on intltool-native Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-dateutil: update to version 2.5.3Derek Straka2016-05-103-2/+3
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* pypi: update the pypi class to support the updated URL schemeDerek Straka2016-05-101-1/+5
| | | | | | | | | pypi has changed the url scheme to use the blake2b rather than names http://permalink.gmane.org/gmane.linux.distributions.nixos/20158 Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* acpitests: Fix license issueArmin Kuster2016-05-101-0/+21
| | | | | | | | | WARNING: acpitests-20140828-r0 do_populate_lic: acpitests: No generic license file exists for: Intel in any provider this was copied from the acpitest web page Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* tracker: update run-time dependenciesDerek Straka2016-05-101-0/+2
| | | | | | | Addresses QA Issue: /usr/lib/nautilus/extensions-2.0/libnautilus-tracker-tags.so Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* tracker: add missing depends for intltool-nativeDerek Straka2016-05-101-1/+1
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* tracker: add a patch to support giflib 5Derek Straka2016-05-102-1/+128
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libnice, farsight2: unblacklist as libnice's nice.pc issue fixed.Noor Ahsan2016-05-102-5/+1
| | | | | | | | | | | * Update do_compile_append where it was updating *.pc from ${S} and removing staging dir folder. Now we have seperate build folder where packages get build. We have to search pc in ${B} not in ${S}. After updating the tmp dir path is removed from nice.pc file. * Remove PNBLACKLIST for libnice and farsight2 recipes. Signed-off-by: Noor Ahsan <noor_ahsan@mentor.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* wvstreams: fixing segfault with new gcc optimizationsKinsella, Ray2016-05-101-0/+2
| | | | | | | | | | | Recent GCC optimizations -ftree-dce and -foptimize-sibling-calls are causing a segfault in the wvstream stackmaster. Fedora had the same problem and resolved the issue by removing these optimizations. See: https://bugzilla.redhat.com/show_bug.cgi?id=812651 Signed-off-by: Ray Kinsella <ray.kinsella@intel.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* llvm3.3: Disable auto -dbg packagesMartin Jansa2016-05-101-1/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * set NOAUTOPACKAGEDEBUG to disable automatic creation of -dbg FILES split * it doesn't work well with our do_split_packages calls and in the end breaks installing llvm3.3-dbg (e.g. when you enable IMAGE_GEN_DEBUGFS) * it shows a bit ugly error where multiple messages are written over each other: WARNING: [log_check] In line: [ConfiCollected errors: ] WARNING: [log_check] luneos-dev-image: found an error message in the logfile (keyword 'Collected errors'): [log_check] ConfiCollected errors: ERROR: ConfiCollected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for llvm3.3-dbg: * libllvm3.3-lto-dbg * libllvm3.3-llvm-3.3-dbg * * opkg_install: Cannot install package llvm3.3-dbg. guring gstreamer1.0-libav-dbg. but the main point is that do_split_packages returns some package names of packages which in the end aren't created, because there are no files in them after other -dbg packages eat them all due to automatic -dbg creation Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* packagegroup-tools-bluetooth: Selects the tools appropriate for the version ↵Ann Thornton2016-05-101-23/+20
| | | | | | | of bluez being used. Signed-off-by: Ann Thornton <ann.thornton@nxp.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* lmbench: avoid gcc optimize-away multiplicationRoy Li2016-05-102-0/+80
| | | | | | | | Change expression used in do_integer_mul and do_uint64_mul benchmarks so GCC doesn't optimize-away the loops, Signed-off-by: Roy Li <rongqing.li@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* leptonica: add PACAKGECONFIG for openjpegDerek Straka2016-05-101-0/+3
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* leptonica: update to version 1.73Derek Straka2016-05-101-2/+2
| | | | | | | updated to be compatible with giflib 5.1.x Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* giflib: update to version 5.1.4Derek Straka2016-05-101-5/+2
| | | | | | - Remove EXTRA_OECONF to disable X11 support since direct X11 window rendering has been retired Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* poppler: add --std=c++11 to fix build with Qt 5.7Martin Jansa2016-05-062-0/+43
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* pidgin: use pkg-config instead of hardcoded paths or python-configMartin Jansa2016-05-062-23/+30
| | | | | | | | | | | * also fix following QA warning: WARNING: pidgin-2.10.12-r0 do_package: QA Issue: pidgin: Files/directories were installed but not shipped in any package: /usr/share/appdata /usr/share/appdata/pidgin.appdata.xml Please set FILES such that these items are packaged. Alternatively if they are unneeded, avoid installing them or delete them within do_install. pidgin: 2 installed and not shipped files. [installed-vs-shipped] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* pidgin: add PACKAGECONFIGsMartin Jansa2016-05-061-8/+23
| | | | | | | | | | * disable gstreamer and vv, because gstreamer 0.10 is in meta-multimedia now * disable farsight2/farstream, because farsight2 is blacklisted * don't enable X11 support without x11 in DISTRO_FEATURES * allow to disable all UI, useful for DISTROs who want just the purple libraries like LuneOS Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* pidgin: Update to 2.10.12Herrie2016-05-063-30/+26
| | | | | | Which is compatible with GnuTLS that's included in Krogoth. Signed-off-by: Herman van Hazendonk <github.com@herrie.org>
* toybox: Upgrade to 0.7.0Paul Barker2016-05-063-4/+125
| | | | | | | Add additional patches to fix issues seen during testing on qemux86. Signed-off-by: Paul Barker <paul@paulbarker.me.uk> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* toybox: Remove out-of-date patchPaul Barker2016-05-061-388/+0
| | | | | Signed-off-by: Paul Barker <paul@paulbarker.me.uk> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* rrdtool: fix do_configure failure on some hostsQi.Chen@windriver.com2016-05-061-0/+2
| | | | | | | | | | | | | | | On some hosts, when building rrdtool, we would meet do_configure error like below. | *** Module name IN: /usr/lib64/perl/5.22.0/POSIX.pm | *** p1: /usr/lib64/ p3: perl/5.22.0/ p5: POSIX.pm | *** Module name OUT: /path/to/builddir/tmp/sysroots/x86_64-linux/usr/lib/perl-native/perl/5.22.1/POSIX.pm | POSIX object version 1.53_01 does not match $POSIX::VERSION 1.53 at /usr/lib64/perl/5.22.0/XSLoader.pm line 108. Set PERLHOSTLIB to "" to fix the above error. Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-pyparsing: modify build to correctly use setuptools rather than distutilsDerek Straka2016-05-061-1/+1
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* opencv: Fix metapkg dependencies for opencv-java and opencv-localesOtavio Salvador2016-05-061-2/+3
| | | | | | | | | The opencv-java is not always generated so we ought to include it, only if it is available. The opencv-locales is not available and ought to be skipped. Signed-off-by: Otavio Salvador <otavio@ossystems.com.br> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* fbreader: add cflags fix for fribidi 0.19.7Derek Straka2016-05-062-1/+13
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* protobuf: split package to main and compiler packageseu@felipetonello.com2016-05-061-0/+6
| | | | | | | | Protobuf has two main features, a compiler and a library. Run-time applications only need the libraries to run. Signed-off-by: Felipe F. Tonello <eu@felipetonello.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* protobuf: add protobuf-c recipeeu@felipetonello.com2016-05-061-0/+28
| | | | | | | | | | replaces/obsoletes: commit 0d31f8448412 [Added protobuf-c criu dependency] in meta-virtualization This version of the recipe also adds a separated package for the compiler. Signed-off-by: Felipe F. Tonello <eu@felipetonello.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* packagegroup-tools-bluetooth.bb: Selects the tools appropriate for the ↵Ann Thornton2016-05-061-0/+40
| | | | | | | version of bluez being used. Signed-off-by: Ann Thornton <ann.thornton@nxp.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* glmark2: wl_surface should be destoryed after destroying wl_windowNeena Busireddy2016-05-062-1/+36
| | | | | | | | If wl_surface is destroyed while work thread is still running, segmentation fault occurs. Signed-off-by: Neena Busireddy <neenareddy.busireddy@nxp.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xfce4-eyes-plugin: update to 4.4.5Andreas Müller2016-05-061-2/+2
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xfce4-cpufreq-plugin: update to 1.1.3Andreas Müller2016-05-061-2/+2
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* fluidsynth: set correct portaudio packageconfig dependencyAndreas Müller2016-05-061-1/+1
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xfce-polkit: fix warning not able to copy licenseAndreas Müller2016-05-061-1/+1
| | | | | | | | | COPYING is a link on LICENSE. It seems that cause the warning so use LICENSE. Fixes: | WARNING: xfce-polkit-0.2-r0 do_populate_lic: Could not copy license file /home/superandy/tmp/oe-core-glibc/work/cortexa7t2hf-neon-vfpv4-angstrom-linux-gnueabi/xfce-polkit/0.2-r0/git/COPYING to /home/superandy/tmp/oe-core-glibc/work/cortexa7t2hf-neon-vfpv4-angstrom-linux-gnueabi/xfce-polkit/0.2-r0/license-destdir/xfce-polkit/COPYING: [Errno 2] No such file or directory: '/home/superandy/tmp/oe-core-glibc/work/cortexa7t2hf-neon-vfpv4-angstrom-linux-gnueabi/xfce-polkit/0.2-r0/license-destdir/xfce-polkit/COPYING' Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* meta-xfce: add intltool-native to DEPENDSAndreas Müller2016-05-065-4/+6
| | | | | | | | | fix tons of messages as: | WARNING: foo do_configure: Missing DEPENDS on intltool-native Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* vim: Upgrade to v7.4.1689Paul Barker2016-05-063-2/+173
| | | | | | | | | | | v7.4.1689 is currently used in Debian Testing and Arch Linux. The tags file used as an index to vim's documentation is not correctly created when cross compiling in v7.4.1689. Patch 7.4.1733 is backported to fix this issue. Signed-off-by: Paul Barker <paul@paulbarker.me.uk> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* tinymembench: update to version 0.4.0 plus bug fixesDerek Straka2016-05-061-2/+2
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* nginx: update to version 1.9.15Derek Straka2016-05-063-223/+10
| | | | | | | | Remove a now redundant nginx-cross patch with stable moving to 1.10.X Remove a duplicate DISABLE_STATIC Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* nginx: update stable version to 1.10.0Derek Straka2016-05-063-25/+18
| | | | | | | | The 1.8 version is now considered legacy and the stable versions 1.10.X Updated the license checksum to reflect copyright date update to 2016 Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* iperf3: update to version 3.1.2 plus bug fixesDerek Straka2016-05-061-3/+3
| | | | | | | license md5 updated for copyright date modifications Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>